from moveit_configs_utils import MoveItConfigsBuilder
from moveit_configs_utils.launches import generate_move_group_launch


def generate_launch_description():
    #moveit_config = MoveItConfigsBuilder("six_axis_arm", package_name="arm_moveit_config").to_moveit_configs()
    moveit_config = (
        MoveItConfigsBuilder("six_axis_arm", package_name="arm_moveit_config")
        # Overrides the parameters dictionary layout natively
        .to_moveit_configs()
    )
    
    # Manually append use_sim_time to the master parameter dictionaries
    moveit_config.robot_description_kinematics["use_sim_time"] = True
    return generate_move_group_launch(moveit_config)
